Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class XHTMLIndenter

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.ProxyReceiver
              net.sf.saxon.event.HTMLIndenter
                  net.sf.saxon.event.XHTMLIndenter

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

public class XHTMLIndenter
extends HTMLIndenter

XHTMLIndenter: This class indents XHTML elements, by adding whitespace character data where appropriate. This class differs from its superclass, HTMLIndenter, only in the way it classifies elements as being inline or formatted elements: unlike the HTML indenter, it requires the element names to be in lower case and to be in the XHTML namespace.

Field Summary

Fields inherited from class net.sf.saxon.event.HTMLIndenter
`formattedTags, inlineTags, IS_FORMATTED, IS_INLINE`

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`nextReceiver, systemId`

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XHTMLIndenter()`

Method Summary
`protected int` | `classifyTag(int nameCode)` Classify an element name as inline, formatted, or both or neither.

Methods inherited from class net.sf.saxon.event.HTMLIndenter
`characters, comment, endElement, setOutputProperties, startElement`

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`attribute, close, endDocument, getConfiguration, getDocumentLocator, getNamePool, getSystemId, getUnderlyingReceiver, namespace, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startContent, startDocument`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`append, getPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLIndenter

    public XHTMLIndenter()

Method Detail

### classifyTag

    protected int classifyTag(int nameCode)

  Description copied from class: `HTMLIndenter`
  Classify an element name as inline, formatted, or both or neither. This method is overridden in the XHTML indenter

  Overrides:
    `classifyTag` in class `HTMLIndenter`
  Parameters:
    `nameCode` - the element name
  Returns:
    a bit-significant integer containing flags IS_INLINE and/or IS_FORMATTED

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD